> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all companies

> Get all companies associated with a project.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /companies
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /companies:
    get:
      tags:
        - Company
      summary: Get all companies
      description: Get all companies associated with a project.
      operationId: List
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  allOf:
                    - properties:
                        updatedAt:
                          $ref: '#/components/schemas/NativeDate'
                        createdAt:
                          $ref: '#/components/schemas/NativeDate'
                      required:
                        - updatedAt
                        - createdAt
                      type: object
                    - properties:
                        lastSeenAt:
                          type: string
                          format: date-time
                        domain:
                          type: string
                        address:
                          properties:
                            postalCode:
                              type: string
                            city:
                              type: string
                            line2:
                              type: string
                            line1:
                              type: string
                            country:
                              type: string
                            state:
                              type: string
                          type: object
                        plan:
                          type: string
                        sla:
                          type: number
                          format: double
                        value:
                          type: number
                          format: double
                        organisation:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        name:
                          type: string
                        nameIsAuthoritative:
                          type: boolean
                        companyId:
                          type: string
                        customData: {}
                        project:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        _id:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                      required:
                        - nameIsAuthoritative
                        - companyId
                        - customData
                        - project
                        - _id
                      type: object
                    - $ref: '#/components/schemas/Document_any.any.any_'
                    - properties:
                        _id:
                          $ref: '#/components/schemas/ObjectId'
                      required:
                        - _id
                      type: object
                type: array
      security:
        - jwt: []
components:
  schemas:
    NativeDate:
      type: string
    Document_any.any.any_:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    ObjectId:
      type: string
    FlattenMaps_T_:
      properties: {}
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````